QGIS Application - Bug report #20347

Copy and Move Feature do not respect postgres-provider default values

2018-11-03 11:17 AM - Jan Lippmann

Status: Closed
Priority: Normal
Assignee:

Category: Digitising

Affected QGIS version:3.5(master)
Operating System: Win 7 64bit
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 28168

Description

Important: it happens only when "evaluate default values on provider side" is activated in the project settings

definition of gid:

gid integer NOT NULL DEFAULT nextval('dbg_admin_10409.sq_gis_gruen_f_gid":regclass),
ALTER TABLE dbg_admin_10409.gis_gruen_f ADD CONSTRAINT pk_gis_gruen_f PRIMARY KEY (gid);

CREATE SEQUENCE dbg_admin_10409.sq_gis_gruen_f gid
INCREMENT 1
MINVALUE 1
MAXVALUE 9223372036854775807
START 35507
CACHE 1;

occur in actual master and 3.4
Associated revisions

Revision 4ac06317 - 2018-11-07 02:10 PM - David Signer

createFeature on move and copy

using of the createFeature function with tool move and copy and there the logic of unique not null fields (like primary keys) is used.

This would fix #20347

Revision 672b994e - 2018-11-08 08:49 AM - David Signer

createFeature on move and copy

using of the createFeature function with tool move and copy and there the logic of unique not null fields (like primary keys) is used.

This would fix #20347

(cherry-picked from 4ac063177460c7dbd8223f19a8b6279711d7bb8d)
History

#1 - 2018-11-04 11:10 PM - Giovanni Manghi
- Category changed from Data Provider/PostGIS to Digitising
- Status changed from Open to Feedback

why regression? did it worked as expected in a previous version?

#2 - 2018-11-05 10:20 AM - Jan Lippmann

sorry i think its no regression compared with 3.2.3. i have tested no other versions.
it did not work with 3.2.3 too.

#3 - 2018-11-05 11:25 AM - Giovanni Manghi
- Status changed from Feedback to Open
- Regression? changed from Yes to No

- Priority changed from High to Normal

#4 - 2018-11-07 03:00 PM - David Signer
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|4ac063177460c7dbd8223f19a8b6279711d7bb8d.
